
const ИМЯ = "Редактор Главреда | Glavred Editor"


// // // //


СохранитьВременноеСодержимоеРедактируемогоФайла = мир =>
{
    var файлы = Object.keys(мир.редактируемыйМодуль.структура).sort();
    var файл = файлы[мир.номерВыбранногоФайла];
    var содержимое = мир.редактор.session.getValue();
    мир.временноеСодержимое[файл] = содержимое;
};


// // // //


НеОтслеживатьРедактирование = мир =>
{
    мир.отслеживатьРедактирование = false;
};


// // // //


ОтслеживатьРедактирование = мир =>
{
    мир.отслеживатьРедактирование = true;
};


// // // //


НастроитьОтслеживаниеРедактирования = мир =>
{
    мир.отслеживатьРедактирование = true;

    мир.редактор.session.on("change", function(delta) {
        if (мир.отслеживатьРедактирование)
        {
            мир.уведомить("редактирование");
        }
    });
};


// // // //


ОтобразитьСодержимоеВыбранногоФайла = мир =>
{
    var файлы = Object.keys(мир.редактируемыйМодуль.структура).sort();
    var файл = файлы[мир.номерВыбранногоФайла];
    var содержимое = мир.временноеСодержимое[файл];
    if (!содержимое)
    {
        содержимое = мир.редактируемыйМодуль.содержимое[файл];
    };
    мир.редактор.session.setValue(содержимое);
};


// // // //


СоздатьОбластьРедактированияПриОтсутствии = мир =>
{
    var id = "редактор";
    if (!document.getElementById(id))
    {
        $(`#${мир.макет.константы.содержимое}`).html(`
<div id="редактор"></div>
        `);
        var элемент = document.getElementById(id);
        элемент.style.cssText = `
width: calc(100% - 320px);
height: calc(100% - 80px);
position: fixed;
top: 80px;
left: 320px;
right: 0;
bottom: 0;
        `;

        мир.редактор = window.ace.edit(id);
        мир.редактор.session.setMode("ace/mode/javascript");
        
        мир.уведомить("создали область редактирования");
    }
};


// // // //


СоздатьВременноеСодержимое = мир =>
{
    мир.временноеСодержимое = {};
};

